Loading...
Searching...
No Matches
pdftron::Layout::Paragraph Class Reference

`#include <ContentTree.h>`

Inheritance diagram for pdftron::Layout::Paragraph:

## Public Types
enum | TextJustification { e_text_justification_invalid = 0 , e_text_justify_left = 1 , e_text_justify_right = 2 , e_text_justify_center = 3 }

## Public Member Functions
| ~Paragraph ()
void | Destroy ()
TextRun | AddText (const UString &text)
void | SetSpaceBefore (double val)
double | GetSpaceBefore ()
void | SetSpaceAfter (double val)
double | GetSpaceAfter ()
void | SetJustificationMode (TextJustification val)
TextJustification | GetJustificationMode ()
void | SetStartIndent (double val)
double | GetStartIndent ()
void | SetEndIndent (double val)
double | GetEndIndent ()
void | SetTextIndent (double val)
double | GetTextIndent ()
void | SetBorder (double thickness, UInt8 red, UInt8 green, UInt8 blue)
double | GetBorderThickness ()
void | AddTabStop (double val)
double | GetNextTabStop (double val)
void | SetDefaultTabStop (double val)
double | GetDefaultTabStop ()
void | SetSpacesPerTab (UInt32 val)
UInt32 | GetSpacesPerTab ()
void | SetDisplayRtl (bool val)
bool | IsDisplayRtl ()
Public Member Functions inherited from pdftron::Layout::ContentNode
| ~ContentNode ()
void | Destroy ()
ContentNodeIterator | GetContentNodeIterator ()
Public Member Functions inherited from pdftron::Layout::ContentElement
| ~ContentElement ()
void | Destroy ()
ElementRef< List > | AsList () const
ElementRef< ListItem > | AsListItem () const
ElementRef< ContentNode > | AsContentNode () const
ElementRef< TextRun > | AsTextRun () const
ElementRef< Paragraph > | AsParagraph () const
ElementRef< Table > | AsTable () const
ElementRef< TableRow > | AsTableRow () const
ElementRef< TableCell > | AsTableCell () const
TextStyledElement | GetTextStyledElement ()

## Friends
class | FlowDocument
class | ListItem
class | ElementRef< Paragraph >
class | TableCell

## Additional Inherited Members
Public Attributes inherited from pdftron::Layout::ContentElement
TRN_ContentElement | m_impl
Protected Member Functions inherited from pdftron::Layout::ContentNode
| ContentNode (TRN_ContentNode impl)
Protected Member Functions inherited from pdftron::Layout::ContentElement
| ContentElement (TRN_ContentElement impl)

## Detailed Description

A Paragraph is a content node that contains a list of TextRun objects.

Definition at line 371 of file ContentTree.h.

## Member Enumeration Documentation

## ◆ TextJustification

enum pdftron::Layout::Paragraph::TextJustification

Enumerator
e_text_justification_invalid | Text justification is invalid
e_text_justify_left | Text is left justified
e_text_justify_right | Text is right justified
e_text_justify_center | Text is justified centered

Definition at line 381 of file ContentTree.h.

## Constructor & Destructor Documentation

## ◆ ~Paragraph()

pdftron::Layout::Paragraph::~Paragraph | ( |  | ) |

## Member Function Documentation

## ◆ AddTabStop()

void pdftron::Layout::Paragraph::AddTabStop | ( | double | val | ) |

Adds a tab stop to the paragraph style.

Parameters

  val | The position of the tab stop to add.

## ◆ AddText()

TextRun pdftron::Layout::Paragraph::AddText | ( | const UString & | text | ) |

Add another text run to the paragraph

Parameters

  text | The text to add

Returns
  The newly created TextRun object

## ◆ Destroy()

void pdftron::Layout::Paragraph::Destroy | ( |  | ) |

## ◆ GetBorderThickness()

double pdftron::Layout::Paragraph::GetBorderThickness | ( |  | ) |

Gets the border thickness for the paragraph style.

Returns
  The border thickness for the paragraph style.

## ◆ GetDefaultTabStop()

double pdftron::Layout::Paragraph::GetDefaultTabStop | ( |  | ) |

Gets the default tab stop position for the paragraph style.

Returns
  The default tab stop position for the paragraph style.

## ◆ GetEndIndent()

double pdftron::Layout::Paragraph::GetEndIndent | ( |  | ) |

Gets the end indent for the paragraph style.

Returns
  The end indent value for the paragraph style.

## ◆ GetJustificationMode()

TextJustification pdftron::Layout::Paragraph::GetJustificationMode | ( |  | ) |

Get justification mode for the paragraph

Returns
  Justification mode for paragraph style

## ◆ GetNextTabStop()

double pdftron::Layout::Paragraph::GetNextTabStop | ( | double | val | ) |

Gets the next tab stop position for the paragraph style, given a starting position.

Parameters

  val | The starting position.

Returns
  The position of the next tab stop.

## ◆ GetSpaceAfter()

double pdftron::Layout::Paragraph::GetSpaceAfter | ( |  | ) |

Get the "space after" value for the paragraph style

Returns
  "space after" value for paragraph style

## ◆ GetSpaceBefore()

double pdftron::Layout::Paragraph::GetSpaceBefore | ( |  | ) |

Get the "space before" value for the paragraph style

Returns
  "space before" value for paragraph style

## ◆ GetSpacesPerTab()

UInt32 pdftron::Layout::Paragraph::GetSpacesPerTab | ( |  | ) |

Gets the number of spaces per tab for the paragraph style.

Returns
  The number of spaces per tab for the paragraph style.

## ◆ GetStartIndent()

double pdftron::Layout::Paragraph::GetStartIndent | ( |  | ) |

Gets the start indent for the paragraph style.

Returns
  The start indent value for the paragraph style.

## ◆ GetTextIndent()

double pdftron::Layout::Paragraph::GetTextIndent | ( |  | ) |

Gets the text indent for the paragraph style.

Returns
  The text indent value for the paragraph style.

## ◆ IsDisplayRtl()

bool pdftron::Layout::Paragraph::IsDisplayRtl | ( |  | ) |

Checks if the paragraph style has the right-to-left (RTL) property set.

Returns
  True if the display is RTL, false otherwise.

## ◆ SetBorder()

void pdftron::Layout::Paragraph::SetBorder | ( | double | thickness,
|  | UInt8 | red,
|  | UInt8 | green,
|  | UInt8 | blue )

Sets the border for the paragraph style.

Parameters

  thickness | The border thickness.
  red | The red component of the border color.
  green | The green component of the border color.
  blue | The blue component of the border color.

## ◆ SetDefaultTabStop()

void pdftron::Layout::Paragraph::SetDefaultTabStop | ( | double | val | ) |

Sets the default tab stop position for the paragraph style.

Parameters

  val | The default tab stop position to set.

## ◆ SetDisplayRtl()

void pdftron::Layout::Paragraph::SetDisplayRtl | ( | bool | val | ) |

Sets the right-to-left (RTL) property for the paragraph style.

Parameters

  val | The value to set. True if RTL, false if not.

## ◆ SetEndIndent()

void pdftron::Layout::Paragraph::SetEndIndent | ( | double | val | ) |

Sets the end indent for the paragraph style.

Parameters

  val | The end indent value to set.

## ◆ SetJustificationMode()

void pdftron::Layout::Paragraph::SetJustificationMode | ( | TextJustification | val | ) |

Set justification mode for paragraph style

Parameters

  val | The justification mode to set

## ◆ SetSpaceAfter()

void pdftron::Layout::Paragraph::SetSpaceAfter | ( | double | val | ) |

Set the "space after" value for paragraph style

Parameters

  val | The "space after" value to set

## ◆ SetSpaceBefore()

void pdftron::Layout::Paragraph::SetSpaceBefore | ( | double | val | ) |

Set the "space before" value for the paragraph style

Parameters

  val | The "space before" value to set

## ◆ SetSpacesPerTab()

void pdftron::Layout::Paragraph::SetSpacesPerTab | ( | UInt32 | val | ) |

Sets the number of spaces per tab for the paragraph style.

Parameters

  val | The number of spaces per tab to set.

## ◆ SetStartIndent()

void pdftron::Layout::Paragraph::SetStartIndent | ( | double | val | ) |

Sets the start indent for the paragraph style.

Parameters

  val | The start indent value to set.

## ◆ SetTextIndent()

void pdftron::Layout::Paragraph::SetTextIndent | ( | double | val | ) |

Sets the text indent for the paragraph style.

Parameters

  val | The text indent value to set.

## Friends And Related Symbol Documentation

## ◆ ElementRef< Paragraph >

friend class ElementRef< Paragraph >
| friend

Definition at line 374 of file ContentTree.h.

## ◆ FlowDocument

friend class FlowDocument
| friend

Definition at line 373 of file ContentTree.h.

## ◆ ListItem

friend class ListItem
| friend

Definition at line 374 of file ContentTree.h.

## ◆ TableCell

friend class TableCell
| friend

Definition at line 376 of file ContentTree.h.

The documentation for this class was generated from the following file:

- Layout/ContentTree.h